<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 7</title>
	
	<style type="text/css">
	table{
		border: 1px solid black;
		background-color: #C28791;
		margin: 0 auto;
	}
	td{
		/*border: 1px solid black;*/
		width: 160px;
		height: 50px;
		text-align: center;
	}
	input{
		width: 60px;
		height: 25px;
		text-align: center;
	}
	button#calcular{
		width: 110px;
		height: 25px;
		text-align: center;
		font-weight: bold;
		color: white;
		background-color: #4C2A30;
		margin-top: 20px;
	}
	p{
		font-weight: bold;
	}
	#resultados{
		text-align: right;
		font-weight: bold;
		font-size: large;
	}
	</style>

	<script type="text/javascript">

		window.addEventListener("load",function(e){

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let poruno=parseFloat(numerodado)*1;
				document.querySelector("#resultado1").value = poruno;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let pordos=parseFloat(numerodado)*2;
				document.querySelector("#resultado2").value = pordos;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let portres=parseFloat(numerodado)*3;
				document.querySelector("#resultado3").value = portres;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let porcuatro=parseFloat(numerodado)*4;
				document.querySelector("#resultado4").value = porcuatro;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let porcinco=parseFloat(numerodado)*5;
				document.querySelector("#resultado5").value = porcinco;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let porseis=parseFloat(numerodado)*6;
				document.querySelector("#resultado6").value = porseis;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let porsiete=parseFloat(numerodado)*7;
				document.querySelector("#resultado7").value = porsiete;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let porocho=parseFloat(numerodado)*8;
				document.querySelector("#resultado8").value = porocho;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let pornueve=parseFloat(numerodado)*9;
				document.querySelector("#resultado9").value = pornueve;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=document.querySelector("#numerodado").value;
				let pordiez=parseFloat(numerodado)*10;
				document.querySelector("#resultado10").value = pordiez;
			});

			document.querySelector("#calcular").addEventListener("click",function(e){
				let numerodado=numero1=numero2=numero3=numero4=numero5=numero6=numero7=numero8=numero9=numero10=
					document.querySelector("#numerodado").value;
				document.querySelector("#numero1").value = numerodado;
				document.querySelector("#numero2").value = numerodado;
				document.querySelector("#numero3").value = numerodado;
				document.querySelector("#numero4").value = numerodado;
				document.querySelector("#numero5").value = numerodado;
				document.querySelector("#numero6").value = numerodado;
				document.querySelector("#numero7").value = numerodado;
				document.querySelector("#numero8").value = numerodado;
				document.querySelector("#numero9").value = numerodado;
				document.querySelector("#numero10").value = numerodado;
			});
		});
	</script>

</head>
<body>
	<table>
		<tr>
			<td rowspan="11"><p>Introduce un número:</p>
				<input type="text" id="numerodado"><br/>
				<button id="calcular" value="calcular">CALCULAR</button></td>
			<td colspan="3" id="resultados">RESULTADOS</td>
		</tr>
		<tr>
			<td><input type="text" id="numero1"/></td>
			<td>  *  1  =  </td>
			<td><input type="text" id="resultado1"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero2"/></td>
			<td>  *  2  =  </td>
			<td><input type="text" id="resultado2"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero3"/></td>
			<td>  *  3  =  </td>
			<td><input type="text" id="resultado3"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero4"/></td>
			<td>  *  4  =  </td>
			<td><input type="text" id="resultado4"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero5"/></td>
			<td>  *  5  =  </td>
			<td><input type="text" id="resultado5"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero6"/></td>
			<td>  *  6  =  </td>
			<td><input type="text" id="resultado6"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero7"/></td>
			<td>  *  7  =  </td>
			<td><input type="text" id="resultado7"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero8"/></td>
			<td>  *  8  =  </td>
			<td><input type="text" id="resultado8"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero9"/></td>
			<td>  *  9  =  </td>
			<td><input type="text" id="resultado9"/></td>
		</tr>
		<tr>
			<td><input type="text" id="numero10"/></td>
			<td>  *  10  =  </td>
			<td><input type="text" id="resultado10"/></td>
		</tr>
	</table>
</body>
</html>